Subject: Message erroneously marked c-format in coreutils.pot from 8.17

From: Philipp Thomas <[email-masked]>
Date: Tue, 19 Jun 2012 15:35:31 +0200

While translating the coreutils messages to German I stumbled over the
message for src/fmt.c:285 in coreutils.pot which is erroneously marked
c-format. This will make msgfmt fail because it thinks that the percentage
sign in »(default of 93% of width)« is a format specification and stops
because of differing format specification between msgid and msgstr.
Manually removing the c-format comment line will make msgfmt succeed.

As long as the TP robot uses the copy of coreutils.pot with the c-format
marking no translation can be 100% as the TP robot will always reinsert the
c-format comment.

Philipp